Bug 1021549 - Upgrade to JBossWS 4.2.2.Final
Upgrade to JBossWS 4.2.2.Final
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ER7
: EAP 6.2.0
Assigned To: Alessio Soldano
Rostislav Svoboda
Russell Dickenson
:
Depends On:
Blocks: 969978 999893 1003512 1004576 1016672 1021049
  Show dependency treegraph
 
Reported: 2013-10-21 09:38 EDT by Alessio Soldano
Modified: 2013-12-15 11:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:14:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessio Soldano 2013-10-21 09:38:16 EDT
We need to upgrade to JBossWS 4.2.2.Final (including sub-components and apache cxf upgrades) to pull in fixes for multiple open bugzilla tickets.
Comment 1 Alessio Soldano 2013-10-21 11:46:31 EDT
PR: https://github.com/jbossas/jboss-eap/pull/578
Comment 2 Petr Sakař 2013-11-07 07:32:01 EST
Verified for EAP 6.2.0.ER7 

in jboss-eap-6.2.0.ER7-supported-GAVs.txt
org.jboss.ws.cxf:jbossws-cxf-client:4.2.2.Final-redhat-2::
org.jboss.ws.cxf:jbossws-cxf-factories:4.2.2.Final-redhat-2::
org.jboss.ws.cxf:jbossws-cxf-resources:4.2.2.Final-redhat-2::jboss720
org.jboss.ws.cxf:jbossws-cxf-server:4.2.2.Final-redhat-2::
org.jboss.ws.cxf:jbossws-cxf-transports-httpserver:4.2.2.Final-redhat-2::
org.jboss.ws.cxf:jbossws-cxf-transports-udp:4.2.2.Final-redhat-2::


(cd jboss-eap-6.2/; find . -name "jbossws-cxf-*.jar")
./modules/system/layers/base/org/jboss/as/webservices/main/jbossws-cxf-resources-4.2.2.Final-redhat-2-jboss720.jar
./modules/system/layers/base/org/jboss/ws/cxf/jbossws-cxf-factories/main/jbossws-cxf-factories-4.2.2.Final-redhat-2.jar
./modules/system/layers/base/org/jboss/ws/cxf/jbossws-cxf-server/main/jbossws-cxf-server-4.2.2.Final-redhat-2.jar
./modules/system/layers/base/org/jboss/ws/cxf/jbossws-cxf-transports-httpserver/main/jbossws-cxf-transports-httpserver-4.2.2.Final-redhat-2.jar
./modules/system/layers/base/org/jboss/ws/cxf/jbossws-cxf-transports-udp/main/jbossws-cxf-transports-udp-4.2.2.Final-redhat-2.jar
./modules/system/layers/base/org/jboss/ws/jaxws-client/main/jbossws-cxf-client-4.2.2.Final-redhat-2.jar

Note You need to log in before you can comment on or make changes to this bug.